using System;
using System.Windows.Forms;

namespace NorthwindWinFormViewsDynamic_CS
{
    public partial class DefaultWinForm : Form
    {
        public DefaultWinForm()
        {
            InitializeComponent();
        }

        private void BtnClose_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void DefaultWinForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            Application.Exit();
        }


        private void LlbListReadOnlyAlphabeticalListOfProducts_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyAlphabeticalListOfProducts frm = new ListReadOnlyAlphabeticalListOfProducts();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyCategorySalesFor1997_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyCategorySalesFor1997 frm = new ListReadOnlyCategorySalesFor1997();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyCurrentProductList_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyCurrentProductList frm = new ListReadOnlyCurrentProductList();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyCustomerAndSuppliersByCity_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyCustomerAndSuppliersByCity frm = new ListReadOnlyCustomerAndSuppliersByCity();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyInvoices_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyInvoices frm = new ListReadOnlyInvoices();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyOrderDetailsExtended_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyOrderDetailsExtended frm = new ListReadOnlyOrderDetailsExtended();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyOrderSubtotals_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyOrderSubtotals frm = new ListReadOnlyOrderSubtotals();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyOrdersQry_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyOrdersQry frm = new ListReadOnlyOrdersQry();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyProductSalesFor1997_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyProductSalesFor1997 frm = new ListReadOnlyProductSalesFor1997();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyProductsAboveAveragePrice_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyProductsAboveAveragePrice frm = new ListReadOnlyProductsAboveAveragePrice();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyProductsByCategory_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyProductsByCategory frm = new ListReadOnlyProductsByCategory();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlyQuarterlyOrders_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlyQuarterlyOrders frm = new ListReadOnlyQuarterlyOrders();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlySalesByCategory_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlySalesByCategory frm = new ListReadOnlySalesByCategory();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlySalesTotalsByAmount_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlySalesTotalsByAmount frm = new ListReadOnlySalesTotalsByAmount();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlySummaryOfSalesByQuarter_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlySummaryOfSalesByQuarter frm = new ListReadOnlySummaryOfSalesByQuarter();
            frm.ShowDialog(this);
            frm.Dispose();
        }

        private void LlbListReadOnlySummaryOfSalesByYear_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ListReadOnlySummaryOfSalesByYear frm = new ListReadOnlySummaryOfSalesByYear();
            frm.ShowDialog(this);
            frm.Dispose();
        }
    }
}
